declare const _sfc_main: import("vue").DefineComponent<{
    theme: {
        type: StringConstructor;
        default: string;
    };
}, {
    visible: import("vue").Ref<boolean>;
    dataList: import("vue").Ref<any[]>;
    isLoading: import("vue").Ref<boolean>;
    hasOwn: any;
    remarkData: import("vue").Ref<any>;
    wrapClassName: import("vue").ComputedRef<string>;
    isIndFullScreen: import("vue").Ref<boolean>;
    infoStyle: import("vue").ComputedRef<{
        transform: string;
        transformOrigin: string;
    } | {
        transform?: undefined;
        transformOrigin?: undefined;
    }>;
    indDetailZoom: import("vue").Ref<number>;
    isMobile: boolean;
    getContainer: () => Element;
    toggleFullScreen: () => void;
    onDetailCancel: () => void;
    handleZoomIn: () => void;
    handleZoomOut: () => void;
    handleResetZoom: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    theme: string;
}>;
export default _sfc_main;
